
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System;
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/Condition.svg")]
  public partial class SceneCondition:Node, iCondition
  {
    public virtual bool Evaluate()
    {
      return true;
    }

    public static bool Evaluate( SceneCondition condition )
    {
      return condition == null ? false : condition.Evaluate();
    }
  }
}